helpdesk_knowledgebase:
    path:     /
    controller: Webkul\UVDesk\SupportCenterBundle\Controller\Website::home

helpdesk_knowledgebase_exception:
    path:     /exception
    defaults: { _controller: WebkulDefaultBundle:Default:exceptionDefault }

helpdesk_knowledgebase_folder:
    path:     /folder/{solution}
    controller: Webkul\UVDesk\SupportCenterBundle\Controller\Website::viewFolder
    defaults: { solution: 0 }

helpdesk_knowledgebase_folder_article_collection:
    path:     /folder/{solution}/articles
    controller: Webkul\UVDesk\SupportCenterBundle\Controller\Website::viewFolderArticle
    defaults: { solution: 0 }

helpdesk_knowledgebase_category_collection:
    path:     /categories
    controller: Webkul\UVDesk\SupportCenterBundle\Controller\Website::listCategories

helpdesk_knowledgebase_category:
    path:     /category/{category}
    controller: Webkul\UVDesk\SupportCenterBundle\Controller\Website::viewCategory
    defaults: { category: 0 }

helpdesk_knowledgebase_read_article:
    path:     /article/{article}
    controller: Webkul\UVDesk\SupportCenterBundle\Controller\Website::viewArticle
    defaults: { article: 0 }

helpdesk_knowledgebase_read_slug_article:
    path:     /blog/{slug}
    controller: Webkul\UVDesk\SupportCenterBundle\Controller\Website::viewArticle
    defaults: { slug: '' }

helpdesk_knowledgebase_rate_article:
    path:     /rating/{articleId}
    controller: Webkul\UVDesk\SupportCenterBundle\Controller\Website::rateArticle

helpdesk_knowledgebase_search:
    path:     /search/{s}
    controller: Webkul\UVDesk\SupportCenterBundle\Controller\Website::searchKnowledgebase
    defaults: { s: '' }

helpdesk_knowledgebase_tag:
    path:     /tag/{tag}/{name}
    controller: Webkul\UVDesk\SupportCenterBundle\Controller\Website::viewTaggedResources
    defaults: { tag: '', name: '' }

helpdesk_customer_thread_collection_public_xhr:
    path:     /threads/public-ajax/{id}
    controller: Webkul\UVDesk\SupportCenterBundle\Controller\Ticket::threadListXhr
    defaults: { id: 0 }